 arch/i386/kernel/traps.c |    2 --
 arch/i386/mm/init.c      |   39 ---------------------------------------
 fs/proc/array.c          |    0 
 3 files changed, 41 deletions(-)

diff -puN arch/i386/mm/init.c~4g4g-cleanups arch/i386/mm/init.c
--- 25/arch/i386/mm/init.c~4g4g-cleanups	2003-07-31 22:38:08.000000000 -0700
+++ 25-akpm/arch/i386/mm/init.c	2003-07-31 22:38:08.000000000 -0700
@@ -45,45 +45,6 @@ unsigned long highstart_pfn, highend_pfn
 
 static int do_test_wp_bit(void);
 
-/*
- * Creates a middle page table and puts a pointer to it in the
- * given global directory entry. This only returns the gd entry
- * in non-PAE compilation mode, since the middle layer is folded.
- */
-static pmd_t * __init one_md_table_init(pgd_t *pgd)
-{
-	pmd_t *pmd_table;
-		
-#ifdef CONFIG_X86_PAE
-	pmd_table = (pmd_t *) alloc_bootmem_low_pages(PAGE_SIZE);
-	set_pgd(pgd, __pgd(__pa(pmd_table) | _PAGE_PRESENT));
-	if (pmd_table != pmd_offset(pgd, 0)) 
-		BUG();
-#else
-	pmd_table = pmd_offset(pgd, 0);
-#endif
-
-	return pmd_table;
-}
-
-/*
- * Create a page table and place a pointer to it in a middle page
- * directory entry.
- */
-static pte_t * __init one_page_table_init(pmd_t *pmd)
-{
-	if (pmd_none(*pmd)) {
-		pte_t *page_table = (pte_t *) alloc_bootmem_low_pages(PAGE_SIZE);
-		set_pmd(pmd, __pmd(__pa(page_table) | _PAGE_TABLE));
-		if (page_table != pte_offset_kernel(pmd, 0))
-			BUG();	
-
-		return page_table;
-	}
-	
-	return pte_offset_kernel(pmd, 0);
-}
-
 static inline int page_kills_ppro(unsigned long pagenr)
 {
 	if (pagenr >= 0x70000 && pagenr <= 0x7003F)
diff -puN arch/i386/kernel/traps.c~4g4g-cleanups arch/i386/kernel/traps.c
--- 25/arch/i386/kernel/traps.c~4g4g-cleanups	2003-07-31 22:38:08.000000000 -0700
+++ 25-akpm/arch/i386/kernel/traps.c	2003-08-01 00:32:05.000000000 -0700
@@ -227,7 +227,6 @@ void show_registers(struct pt_regs *regs
 		printk("\nStack: ");
 		show_stack(NULL, (unsigned long*)esp);
 
-#if 0
 		printk("Code: ");
 
 		eip = (u8 *)regs->eip - 43;
@@ -243,7 +242,6 @@ void show_registers(struct pt_regs *regs
 			else
 				printk("%02x ", c);
 		}
-#endif
 	}
 	printk("\n");
 }	
diff -puN fs/proc/array.c~4g4g-cleanups fs/proc/array.c

_
